2019-10-17 00:04 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001471FSSCPFREDpublic2007-09-02 20:22
ReporterKeldorKatarn 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001471: Deleting linked and/or event with objective results in this linked-status and objective to be assigned to the event below
DescriptionWhenever any event which is linked or containing an objective is deleted, its linked-status and objective description will be assigned to the event below which can result in events being screwed up if this isn't noticed by the FREDer.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008427

Goober5000 (administrator)

Can you provide the exact steps to reproduce this? I think I've fixed it, but I need to test it to make sure.

I've tried the obvious ways to reproduce this, but I can't get it to show the bug, even on retail FRED2, which I know had it.

~0008433

KeldorKatarn (reporter)

Last edited: 2007-08-31 01:29

- Open a new empty mission
- Go to event editor
- Create three empty Events, Event 1, 2 and 3
- Link Event 2 to Event 1 and add a directive text to Event 2
- Delete Event 2 (by right-click->context menu entry 'delete item', NOT by button 'Delete Event')
- Now Event 3 should be linked to Event 1 and contain the former directive text of Event 2

I just checked.. this doesn't seem to happen when the 'delete event' button is used, but only if 'delete item' is selected from the context menu.

Sorry I didn't say this earlier but I never tested this since I never used the button before.

~0008468

Goober5000 (administrator)

I believe this is now fixed.
+Notes

-Issue History
Date Modified Username Field Change
2007-08-25 12:23 KeldorKatarn New Issue
2007-08-28 03:17 Goober5000 Assigned To => Goober5000
2007-08-28 03:17 Goober5000 Status new => confirmed
2007-08-31 01:00 Goober5000 Note Added: 0008427
2007-08-31 01:00 Goober5000 Status confirmed => feedback
2007-08-31 01:26 KeldorKatarn Note Added: 0008433
2007-08-31 01:29 KeldorKatarn Note Edited: 0008433
2007-09-02 20:22 Goober5000 Note Added: 0008468
2007-09-02 20:22 Goober5000 Status feedback => resolved
2007-09-02 20:22 Goober5000 Resolution open => fixed
2007-09-02 20:22 Goober5000 Fixed in Version => 3.6.10
+Issue History